Newegg Developer Portal

List Repricer Items

Returns a paginated list of all repricer items for the current seller, with optional filtering by strategy.

This operation is designed for Newegg.com and Newegg.ca.

Resource URL

Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/list?sellerid={sellerid}&strategyid={strategyid}&pageindex=1&pagesize=20&querytype=all&sortby=desc
Newegg.ca:  https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/item/list?sellerid={sellerid}&strategyid={strategyid}&pageindex=1&pagesize=20&querytype=all&sortby=desc

Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.

Parameters

Name Required? Description
sellerId Yes Seller ID, used for authentication.
strategyId Yes Repricer strategy ID used for filtering. Ignored when queryType is "all".
queryType No Query scope. Default: all. Options: all, thisStrategy, otherStrategies, pause.
pageIndex No Page number, starting from 1. Default: 1.
pageSize No Number of items per page. Default: 20.
sortBy No Sort direction by indate. Default: desc. Options: asc, desc.

Resource Information

HTTP Method Authentication? Request Formats Response Formats Rate Limited? Maximum Size of Request
GET Required XML, JSON XML, JSON 500 requests per hour

Request Body

Example: XML, Request

GET https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/list?sellerid={sellerid}&strategyid={strategyid}&pageindex=1&pagesize=20&querytype=all&sortby=desc
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml

Example: Json, Request

GET https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/list?sellerid={sellerid}&strategyid={strategyid}&pageindex=1&pagesize=20&querytype=all&sortby=desc
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json

Response Body

Attribute Format Description
IsSuccess Boolean Get feed status operation:

True: Successful

False: Not successful

SellerID String Your seller ID
OperationType String Fixed value: GetRepricerItemList
ResponseDate String Your response date time (Pacific Standard Time)
RepricerItems List List of repricer items for the current page.
RepricerItems[].Id Integer Primary key of the repricer item record.
RepricerItems[].StrategyId Integer ID of the associated repricer strategy.
RepricerItems[].StrategyTypeId Integer Strategy type ID from the associated strategy.
RepricerItems[].StrategyName String Name of the associated strategy.
RepricerItems[].SellerId String Seller ID.
RepricerItems[].ItemNumber String Newegg item number.
RepricerItems[].ItemId String Item unique ID.
RepricerItems[].ParentItem String Parent item number.
RepricerItems[].CurrencyCode String Currency code, e.g. USD, CAD.
RepricerItems[].CurrentPrice Decimal Current selling price.
RepricerItems[].MinimumPrice Decimal Minimum price limit.
RepricerItems[].MaximumPrice Decimal Maximum price limit.
RepricerItems[].MinimumPricePercent Decimal Minimum price limit as a percentage.
RepricerItems[].MaximumPricePercent Decimal Maximum price limit as a percentage.
RepricerItems[].Status String Repricer status: Start or Stop.
RepricerItems[].InUser String Created by.
RepricerItems[].InDate DateTime Creation timestamp.
RepricerItems[].LastEditUser String Last modified by.
RepricerItems[].LastEditDate DateTime Last modified timestamp.
RepricerItems[].AmazonLinks List List of Amazon competitor product URLs.
RepricerItems[].WalmartLinks List List of Walmart competitor product URLs.
RepricerItems[].BestbuyLinks List List of BestBuy competitor product URLs.
TotalCount Integer Total number of matching records for pagination.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
    <IsSuccess>true</IsSuccess>
    <SellerID>A2GS</SellerID>
    <OperationType>GetRepricerItemList</OperationType>
    <ResponseDate>2026-06-27T09:51:27.2112442+08:00</ResponseDate>
    <ResponseBody>
        <RepricerItems>
            <Item>
                <Id>497</Id>
                <StrategyId>120</StrategyId>
                <StrategyTypeId>2</StrategyTypeId>
                <StrategyName>asdf</StrategyName>
                <SellerId>A2GS</SellerId>
                <ItemNumber>9SIA2GS0000655</ItemNumber>
                <ItemId>9SIA2GS0000655USA</ItemId>
                <ParentItem>3F8-000B-00009</ParentItem>
                <CurrencyCode>USD</CurrencyCode>
                <CurrentPrice>23.00</CurrentPrice>
                <MinimumPrice>22.77</MinimumPrice>
                <MaximumPrice>23.23</MaximumPrice>
                <MinimumPricePercent>1.0</MinimumPricePercent>
                <MaximumPricePercent>1.0</MaximumPricePercent>
                <Status>START</Status>
                <InUser>aw78@newegg.com</InUser>
                <InDate>2025-04-14T22:25:56</InDate>
                <LastEditUser>A2GS</LastEditUser>
                <LastEditDate>2026-06-24T19:20:28</LastEditDate>
                <AmazonLinks>
                    <Link>https://www.amazon.com/dp/B08N5WRWNW</Link>
                    <Link>https://www.amazon.com/dp/B09G9FPHY6</Link>
                </AmazonLinks>
                <WalmartLinks>
                    <Link>https://www.walmart.com/ip/123456789</Link>
                </WalmartLinks>
            </Item>
        </RepricerItems>
        <TotalCount>10</TotalCount>
    </ResponseBody>
</NeweggAPIResponse>

Example: Json, Response

{
    "IsSuccess": true,
    "SellerID": "A2GS",
    "OperationType": "GetRepricerItemList",
    "ResponseDate": "2026-06-27T09:51:27.2112442+08:00",
    "ResponseBody": {
        "RepricerItems": [
            {
                "Id": 497,
                "StrategyId": 120,
                "StrategyTypeId": 2,
                "StrategyName": "asdf",
                "SellerId": "A2GS",
                "ItemNumber": "9SIA2GS0000655",
                "ItemId": "9SIA2GS0000655USA",
                "ParentItem": "3F8-000B-00009",
                "CurrencyCode": "USD",
                "CurrentPrice": 23.00,
                "MinimumPrice": 22.77,
                "MaximumPrice": 23.23,
                "MinimumPricePercent": 1.0,
                "MaximumPricePercent": 1.0,
                "Status": "START",
                "InUser": "aw78@newegg.com",
                "InDate": "2025-04-14T22:25:56",
                "LastEditUser": "A2GS",
                "LastEditDate": "2026-06-24T19:20:28",
                "AmazonLinks": ["https://www.amazon.com/dp/B08N5WRWNW","https://www.amazon.com/dp/B09G9FPHY6"],
                "WalmartLinks": ["https://www.walmart.com/ip/123456789"]
            }
        ],
        "TotalCount": 10
    }
}

Request Failure Errors

Error Code Description
InvalidToken Illegal secret key.
— The provided SellerId is null.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<Errors>
    <Error>
        <Code>InvalidToken</Code>
        <Message>Illegal secret key.</Message>
    </Error>
</Errors>

Example: Json, Response

[
    {
        "Code": "InvalidToken",
        "Message": "Illegal secret key."
    }
]

Last updated: July 10, 2026